Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util.anvl
Class SubElement

    java.lang.Object
      org.archive.util.anvl.SubElement

Direct Known Subclasses:
  Label, Value

    abstract class SubElement

extends java.lang.Object

Abstract ANVL 'data element' sub-part. Subclass to make a Comment, a Label, or a Value.

Author:
  stack

Constructor Summary
`protected` | `SubElement()`
`` | `SubElement(java.lang.String s)`

Method Summary
`protected java.lang.String` | `baseCheck(java.lang.String s)`
`protected void` | `checkCharacter(char c, java.lang.String srcStr, int index)`
`protected void` | `checkControlCharacter(char c, java.lang.String srcStr, int index)`
`protected void` | `checkCRLF(char c, java.lang.String srcStr, int index)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubElement

    protected SubElement()

### SubElement

    public SubElement(java.lang.String s)

Method Detail

### baseCheck

    protected java.lang.String baseCheck(java.lang.String s)

### checkCharacter

    protected void checkCharacter(char c,
                                  java.lang.String srcStr,
                                  int index)

### checkControlCharacter

    protected void checkControlCharacter(char c,
                                         java.lang.String srcStr,
                                         int index)

### checkCRLF

    protected void checkCRLF(char c,
                             java.lang.String srcStr,
                             int index)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.